const form = document.getElementById("schematic-form");
const resultContainer = document.getElementById("result-container");
form.onsubmit = async (e) => {
    e.preventDefault();
    resultContainer.innerHTML = "<p>Uploading and extracting contents...</p>";
    const data = new FormData(form);
    try {
        const response = await fetch("/extracts", {
            method: "POST",
            body: data
        });
        const result = await response.json();
        const extractId = result.extractId;
        const url = window.location.origin + "/extracts/" + extractId;
        resultContainer.innerHTML = `<p>Copy this URL, and provide it to the computer: <em>${url}</em></p>`;
        form.reset();
    } catch (error) {
        console.error("Error: " + error);
        resultContainer.innerHTML = `<p>An error occurred: ${error}</p>`;
    }
};